Home Help Center

Trouble Building Ice on CentOS 6.6

which988which988 Member Rich BellOrganization: NavyProject: Software defined radio development using GNU Radio
Hello all,

I am building Ice because it is a dependancy for GNU Radio. After executing make in the ice/cpp folder, I get the quoted output shown below. CentOS comes with mcpp preinstalled. Googling, I found that I need mcpp-devel installed. When I download the mcpp rpm from the ZeroC page and try to install with yum, it tells me incompatible architecture: src. How do I install mcpp-devel on CentOS 6.6? Is this in fact the cause of the output below? Thank you.
[[email protected] cpp]$ make
making all in config
make[1]: Entering directory `/home/tsvcis/Documents/pybombs/src/ice/cpp/config'
echo ""

make[1]: Leaving directory `/home/tsvcis/Documents/pybombs/src/ice/cpp/config'
making all in src
make[1]: Entering directory `/home/tsvcis/Documents/pybombs/src/ice/cpp/src'
making all in IceUtil
make[2]: Entering directory `/home/tsvcis/Documents/pybombs/src/ice/cpp/src/IceUtil'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/tsvcis/Documents/pybombs/src/ice/cpp/src/IceUtil'
making all in Slice
make[2]: Entering directory `/home/tsvcis/Documents/pybombs/src/ice/cpp/src/Slice'
rm -f ../../lib/libSlice.so.3.5.1
g++ -shared -Wl,--enable-new-dtags -Wl,-rpath,/opt/Ice-3.5/lib64 -rdynamic -m64 -Wall -Werror -pthread -fPIC -g -L../../lib -o ../../lib/libSlice.so.3.5.1 -Wl,-h,libSlice.so.35 Scanner.o ../Slice/Grammar.o Parser.o CPlusPlusUtil.o CsUtil.o JavaUtil.o Preprocessor.o Checksum.o PythonUtil.o DotNetNames.o RubyUtil.o PHPUtil.o Util.o FileTracker.o MD5.o MD5I.o -lIceUtil -lmcpp
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-redhat-linux/4.4.7/../../../libmcpp.so when searching for -lmcpp
/usr/bin/ld: skipping incompatible /usr/lib/libmcpp.so when searching for -lmcpp
/usr/bin/ld: cannot find -lmcpp
collect2: ld returned 1 exit status
make[2]: *** [../../lib/libSlice.so.3.5.1] Error 1
make[2]: Leaving directory `/home/tsvcis/Documents/pybombs/src/ice/cpp/src/Slice'
make[1]: *** [Slice] Error 2
make[1]: Leaving directory `/home/tsvcis/Documents/pybombs/src/ice/cpp/src'
make: *** [all] Error 1
[[email protected] cpp]$

Comments

  • mesmes CaliforniaAdministrators, ZeroC Staff Mark SpruiellOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    Hi Rich,

    Welcome to the forum.

    I'm assuming you're using CentOS 6.6 x64, as indicated by the compiler flags. It doesn't look like you've installed our mcpp-devel.x64 RPM. You can download it here:

    https://www.zeroc.com/download/Ice/3.5/el6/x86_64/mcpp-devel-2.7.2-2ice.el6.x86_64.rpm

    When installed, this RPM adds

    /usr/lib64/libmcpp.a

    If this file doesn't exist on your system, then this RPM hasn't been installed yet.

    I just verified that I could build libSlice on CentOS 6.6 x64 with this RPM installed and everything worked correctly.

    Note that you'll get another build failure later unless you install our Berkeley DB RPMs. This is only relevant if you need the Ice components that use Freeze (which is based on Berkeley DB).

    Regards,
    Mark
  • which988which988 Member Rich BellOrganization: NavyProject: Software defined radio development using GNU Radio
    Resolved

    Thank you Mark, that fixed my problem.

    Rich
Sign In or Register to comment.